#
# spec file for package gap-curlinterface
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-curlinterface
Version:        2.4.2
Release:        1.1
Summary:        GAP: Web Access via curl
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/curlInterface/
#Git-Clone:	https://github.com/gap-packages/curlInterface
Source:         https://github.com/gap-packages/curlInterface/releases/download/v%version/curlInterface-%version.tar.gz
BuildRequires:  gap-devel
BuildRequires:  gap-rpm-devel
BuildRequires:  pkgconfig(libcurl)
Requires:       gap-core >= 4.12
Requires:       gap-gapdoc >= 1.5

%description
This package provides a wrapper around libcurl, to allow downloading
files over http, ftp and https from within the GAP processor.

%prep
%autosetup -n curlInterface-%version

%build
%configure --with-gaproot="%gapdir"
%make_build

%install
%gappkg_simple_install
cd "%buildroot/$fmoddir/"
rm -Rfv config.* configure* Makefile* gen/ src/
find . -type f -size 0 -name _Chunks.xml -print -delete

%files -f %name.files

%changelog
* Fri Jun 20 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.4.2
  * No user-visible changes
* Sat Jun  7 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.4.1
  * Fix test suite failures
* Thu Feb 27 2025 Jan Engelhardt <jengelh@inai.de>
- Make specfile conform to POSIX sh
* Tue Sep  3 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.4.0
  * Add 'maxTime' argument
  * Use LoadKernelExtension
* Sun Jun 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.3.2
  * Janitorial changes only
* Tue Oct 18 2022 Jan Engelhardt <jengelh@inai.de>
- Initial package (version 2.3.1) for build.opensuse.org
